#
# spec file for package perl-IO-stringy (Version 1.212)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-IO-stringy
Copyright:    Copyright (c) Artistic License
Group:        Development/Languages/Perl
URL:          http://www.zeegee.com/code/perl/IO-stringy/
Provides:     p_iostrn
Obsoletes:    p_iostrn
Autoreqprov:  on
Summary:      I/O on in-core objects like strings and arrays
Version:      1.212
Release:      116
Source:       IO-stringy-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
I/O on in-core objects like strings and arrays

Authors:
--------
    Eryq <eryq@zeegee.com>

SuSE series: perl

%prep
%setup -n IO-stringy-%{version}
# ---------------------------------------------------------------------------

%build
perl Makefile.PL
make
# ---------------------------------------------------------------------------

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
    eval `perl -V:installarchlib`
    install -d $RPM_BUILD_ROOT/$installarchlib
    make PREFIX=$RPM_BUILD_ROOT/usr \
            INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
            install
    install -d $RPM_BUILD_ROOT/var/adm/perl-modules
    cat $RPM_BUILD_ROOT/$installarchlib/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/perl-IO-stringy
    cd $RPM_BUILD_ROOT/usr/lib/perl5/site_perl/5.*/*-linux/auto/IO-stringy
    cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%files
/usr/lib/perl5/site_perl/5.*/IO
/usr/lib/perl5/site_perl/5.*/*-linux/auto/IO-stringy
%doc /usr/share/man/man3/IO::AtomicFile.3pm.gz
%doc /usr/share/man/man3/IO::InnerFile.3pm.gz
%doc /usr/share/man/man3/IO::Lines.3pm.gz
%doc /usr/share/man/man3/IO::Scalar.3pm.gz
%doc /usr/share/man/man3/IO::ScalarArray.3pm.gz
%doc /usr/share/man/man3/IO::Stringy.3pm.gz
%doc /usr/share/man/man3/IO::Wrap.3pm.gz
%doc /usr/share/man/man3/IO::WrapTie.3pm.gz
/var/adm/perl-modules/perl-IO-stringy
%doc MANIFEST docs

%changelog -n perl-IO-stringy
* Wed Nov 15 2000 - choeger@suse.de
- long package name
- buildroot
* Wed Jul 19 2000 - choeger@suse.de
- first package, v1.212
